import os
from mkdocs_table_reader_plugin.readers import *
from mkdocs_macros.util import trace


def define_env(env):
    """
    This is the hook for the functions (new form)
    """
    # purely for information:
    trace("Current dir for table reader functions:", os.getcwd())
    function_names = [fn.__name__ for fn in READERS.values()]
    trace("Table reader functions imported:",function_names)
    # code:
    for reader in READERS.values():
        env.macro(reader)
